package net.wanji.feign.service;

import net.wanji.feign.pojo.entity.JsonViewObject;
import net.wanji.feign.pojo.result.Result;
import net.wanji.feign.pojo.vo.*;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * @author duanruiming
 * @date 2023/01/09 15:29
 */
@FeignClient(name = "UtcFeignClients", url = "${utc.service.url}")
public interface UtcFeignClients {

    @PostMapping("/signalStatus/runningStatusAlarm")
    JsonViewObject runningStatusAlarm();

    @PostMapping("/controlCommand/schemeSend")
    Result schemeSend(@RequestBody SchemeSendVO schemeSendVO);

    @PostMapping("/controlCommand/planSend")
    Result planSend(@RequestBody PlanSendVO planSendVO);

    @PostMapping("/controlCommand/scheduleSend")
    Result scheduleSend(@RequestBody ScheduleSendVO scheduleSendVO);

    @PostMapping("/controlCommand/phaseTimingSend")
    Result phaseTimingSend(@RequestBody PhaseTimingSendVO phaseTimingSendVO);

    @PostMapping("/controlCommand/allRedControl")
    Result allRedControl(@RequestBody ControlCommandVO commandVO);

    @PostMapping("/controlCommand/yellowLightControl")
    Result yellowLightControl(@RequestBody ControlCommandVO commandVO);

    @PostMapping("/controlCommand/closeLightControl")
    Result closeLightControl(@RequestBody ControlCommandVO commandVO);

    @PostMapping("/controlCommand/stepControl")
    Result stepControl(@RequestParam String code, @RequestParam Integer command, @RequestParam int stepNum);

    @PostMapping("/controlCommand/recoverSchedule")
    Result recoverSchedule(@RequestParam String code);

    @PostMapping("/controlCommand/lockControl")
    Result lockControl(@RequestBody ControlCommandVO commandVO);

    @PostMapping("/controlCommand/phaseDiffSend")
    Result phaseDiffSend();
}
